#!/bin/bash
{% set stack_name = (item.path | basename | splitext)[0] %}
{% if (stack_name in docker.stacks) and (docker.stacks[stack_name].auth is defined) and (docker.stacks[stack_name].auth == true) %}
  {% set use_auth = true %}
{% endif %}

docker stack deploy {% if use_auth is defined %}--with-registry-auth {% endif %}-c {{ base_path }}/stacks/{{ stack_name }}.yml {{ stack_name }}
